Subject: Re: audit-packages fails after pkg_install update?
To: John Nemeth <>
From: Adrian Portelli <>
List: tech-pkg
Date: 08/17/2007 15:49:35
John Nemeth wrote:
>      This is a known bug in libc.  The problem is that the various
> cryptographic hash functions don't align their data.  The fix should
> have been pulled up to the netbsd-4 branch.  You need to update libc.
> You can just update src/lib/libc/hash if you want
> }-- End of excerpt from Adrian Portelli

Looks like it was pulled up (#776).  In the netbsd-4 branch I believe
you need:

common/lib/libc/hash/sha2/sha2.c v1.2.4.3

Probably best if you update common/lib/libc/hash/ as there were some
rmd160 fixes in there as well.